Sortie de WordPress 2.9 – « Carmen »

Sortie de WordPress 2.9 – « Carmen »

Traducteur de la version française de WordPress. A COMPLETER

C’est à 00h32 (heure française) que Ryan Boren, l’un des core-developers de WordPress, a officiellement déclaré WP 2.9 comme étant prête à la diffusion — et par la même occasion, a officiellement lancé le développement de WP 3.0…

Cette nouvelle version est baptisée « Carmen », en hommage à la chanteuse de jazz Carmen McRae.

La mise à jour

Après de rapides vérifications, nous avons diffusé sur notre compte Twitter un lien de test pour les impatients, mais avons préféré laisser passer une nuit de sommeil pour être sûr de ne pas faire de bêtises. C’est maintenant fait ! Allez cliquer sur le lien de téléchargement de WordPress-Francophone, ou directement sur le site officiel, pour installer une nouvelle version (ou mettre à jour manuelle, pour ceux qui ont une version pre-2.7).
Si vous avez déjà une version moderne (donc, 2.7 et suivante) de WP, vous pouvez profiter de la mise à jour automatique !  Cliquez sur le bandeau qui apparaît en haut de l’interface…

capture1

…ou passer par le menu Outils > Mettre à Jour, et…

capture3
…cliquez sur « Mettre à jour automatiquement ». Et tout se passe directement de serveur à serveur :

capture4Et voilà !

Les nouveautés

Nous avons eu le temps d’aborder les différentes nouveautés de cette version. Je vais me contenter ici d’adapter l’annonce officielle

Quatre principales nouveautés dans cette version :

  1. Système global d’annulation d’action grâce à la Corbeille : désormais, si vous effacer un article ou un commentaire par erreur, vous pouvez le récupérer en un clic. Le grand avantage de ce système est que désormais, vous ne subirez plus les sempiternels messages « Êtes-vous certain(e) de vouloir faire cela ? » à chaque action…
  2. Editeur d’image intégré, qui vous permet de recadrer, tourner ou inverser vos images, et en modifier la taille. C’est la première étape d’une amélioration de la gestion des média par WordPress.
  3. Mise à jour d’extensions par lot, et vérification de compatibilité, ce qui signifie que vous pouvez désormais mettre à jour 10 extensions en un clic, plutôt que de devoir cliquer et patienter pour chaque extension disposant d’une nouvelle version. Par ailleurs, de nouvelles données de compatibilité sont maintenant exploitées afin de donner une meilleur visibilité sur le fonctionnement de l’extension pour votre version de WP et les version futures ; cela devrait rassurer ceux qui hésitent à chaque fois à faire une mise à jour…
  4. Intégration facile de vidéos : copiez-collez simplement l’adresse web de la vidéo sur une ligne à part dans votre article, et WP se chargera d’afficher la vidéo elle-même, grâce au support OEmbed pour les services suivants : YouTube, Daily Motion, Blip.tv, Flickr, Hulu, Viddler, Qik, Revision3, Scribd, Google Video, Photobucket, PollDaddy, and WordPress.tv. Plus de services arriveront dans les prochaines versions.

Viennent ensuite les modifications dites mineures, mais qu’il faut quand même noter, surtout ciblées développeurs/designers :

  • Support de l’attribut rel=canonical pour un meilleur référencement ;
  • Possibilité d’optimiser la base de données automatiquement, en ajoutant la ligne define('WP_ALLOW_REPAIR', true); au fichier wp-config.php ;
  • Les thèmes peuvent utiliser des « miniatures d’article », qui leur permet de lier une image à un article, ce qui peut être particulièrement utile pour les thème type « magazine » ;
  • Une nouvelle table dans la base de données, commentmeta, permet d’attacher des paires clef/valeur aux commentaires, tout comme les articles, ce qui étend largement les possibilités du framework de commentaire ;
  • Les types personnalisés d’article ont été mis à jour avec un meilleur support de l’API interne ; vous pouvez donc jouer avec plus de types que les juste les articles, pages et fichiers joints. Plus de possibilités de cet acabit arriveront avec la v3.0 ;
  • Vous pouvez définir des dossiers de thèmes spécifiques, de sorte qu’une extension peut définir un thème comme lui étant lié, ou vous pouvez avoir plusieurs dossiers partagés de thèmes sur votre serveur ;
  • L’éditeur WYSIWYG de TinyMCE a été mis à jour, ainsi que SimplePie.
  • Les barres latérales peuvent maintenant avoir une description, afin de mettre en évidence ce qu’elles font, et où elles le font ;
  • Vous pouvez spécifier les modèles de catégorie non seulement par numéro, comme c’est déjà le cas, mais également par identifiant textuel, ce qui simplifiera la vie des développeurs qui veulent jouer avec les catégories — par exemple les types d’articles !
  • L’inscription et les profiles sont maintenant extensibles, ce qui vous permet de récupérer leurs informations plus facilement, par exemple le compte Twitter d’un utilisateur ou n’importe quel champ que vous pourriez souhaiter ;
  • L’API XML-RPC a été étendue pour autoriser la modification des options d’inscription de l’utilisateur. Les problème de fichier joint de l’API Atom ont également été résolus ;
  • Il est possible des créer des galeries personnalisées avec les nouveaux attributs d’inclusion et d’exclusion, qui permettent de récupérer les fichiers joints à n’importe quel article, pas seulement celui en cours d’affichage ;
  • Quand vous modifier les fichiers dans l’éditeur de thème ou d’extension, ceux-ci se souviennent de votre position dans le fichier et vous y ramènent après la sauvegarde ;
  • Le bookmarklet de publication rapide a été amélioré et est plus rapide que jamais ;
  • Les taxinomies personnalisées sont maintenant inclues dans le fichier d’export WXR, et sont importées correctement ;
  • De meilleurs crochets et filtres pour les extraits, les smileys, les requêtes HTTP, les profiles d’utilisateurs, les liens d’auteurs, les taxinomies, le support SSL, les nuages de mots-clefs, query_post et WP_Query.

En tout et pour tant, plus de 140 contributeurs ont aidé à gérer les quelques 500 tickets (bugs et améliorations) qui ont aboutis à cette nouvelle version. Merci à eux !

Note 1

Beaucoup d’entre vous ont vu apparaître le fameux bandeau en haut de leur interface, qui malheureusement à ce moment là ne proposait que la version originale.

capture2

…et, ignorant l’avertissement en bas qui suggère de patienter un peu le temps que la VF soit également disponible, ils ont mis à jour WP directement. Dans les faits, ils se sont retrouvés avec le code de WP 2.9, mais les fichiers de traduction de leur version précédente (sans doute la 2.8.6). Ca « marche », mais notez bien que nombre de nouvelles chaînes sont apparues dans la 2.9, et donc qu’il vous faut maintenant mettre à jour votre fichier de traduction… à la main !

Récupérez le fichier fr_FR.mo, placez-le dans le dossier /wp-content/languages de votre blog… et vous devriez avoir les bonnes chaînes

Note 2

Comme d’habitude, la mise à jour automatique ne marche pas chez tous les hébergeurs. Les raisons peuvent être multiples. Trois solutions possibles : modifier les réglages sur votre hébergement pour que la mise à jour fonctionne (parfois, forcer l’utilisation de PHP5 suffit), mettre à jour à la main (comme au « bon vieux temps »)… ou changer d’hébergeur !

Passez de bonnes fêtes avec WordPress 2.9 ! 😉

153 commentaires

  1. William

    Merci pour l’info. En tout cas, la fonction de la corbeille et la reconnaissance de l’URL d’une vidéo Dailymotion ou Youtube sont intéressantes, de quoi se passer de plugins.

    Merci, la mise à jour s’est effectuée sans aucun soucis particulier 😉

  2. seneque

    La mise a jour automatique fonctionne super bien avec 1and1 à condition d’être en php5 et de désactiver les extensions au préalable pour éviter des problèmes de limite de mémoire. Par contre, je suis perplexe sur la mise à jour par lots des extensions. Je ne vois pas comment faire 😉
    J’ai également réussi la mise à jour automatique avec un blog hébergé par OVH avec php5 activé. Simplement, il fait être très patient. La mise à jour est beaucoup plus longue.

  3. seneque

    En fait, la mise à jour par lots des extensions se fait dans Outils/Mettre à jour et non dans le sous-menu Extensions.

    Bon, il suffit de le savoir mais c’est bien pratique.

  4. Aleks

    La maj auto n’a pas fonctionné je me retrouve avec ça :  »
    Fatal error: Call to undefined function: get_site_transient() in /homez.109/aleksou/www/blog/wp-includes/theme.php on line 436″ que faire ?

  5. Xavier auteur de l’article

    @Lorand : Je préfère ne pas donner un zip des fichiers modifiés pour les versions majeures, car j’estime que dans ce cas précis (et en cas de mise à jour manuelle), il est préférable de tout effacer et repartir sur une base complète.

    Bon allez, je suis bonne poire, voici le lien — mais à réserver à ceux qui savent ce qu’ils font. Et ne pas oublier de mettre à jour également le fichier de traduction (fr_FR.mo)…

  6. Lorand

    Merci pour tes conseils Xavier. Je vais réflchir et prendre mon temps ce soir pour voir comment je vais faire la mise à jour alors.

    Merci pour les liens 😉

  7. Kamel

    Pour ma part la MAJ s’est bien passée, mais je me suis retrouvé avec quelques termes dans la langue de Shakespeare alors que j’ai téléchargé la version FR…

  8. Xavier auteur de l’article

    @Kamel : mmmh, cette page est bien traduite sur mes différents blogs. Peux-tu effacer le fichier fr_FR.mo et le remplacer par celui-là ci-avant ?

  9. Kamel

    Suis-je c**, j’ai fait une install manuelle, mais je n’ai pas touché au répertoire WP-Content, et j’ai donc les anciens fichiers langages…

    T’aurais pas fait la même Lyricis ?

    Merci Xavier pour ta réactivité 🙂

  10. Lyricis

    @ Kamel : En fait je viens de voir ce ne sont pas les mails automatiques du blog qui sont en anglais, mais ceux envoyé par le plugin « Subscribe To Comment » qui n’est plus traduit en Français alors que le fichier .mo est toujours en place…

    En fait ça fait pareil que pour ce blog, on reçoit les commentaires sans la traduction, il n’est peut-être plus tout a fait compatible avec la V2.9

  11. TBHC

    Je viens de faire la mise à jour (il a fallu que je désactive toutes les extensions pour ça marche). Après deux essais, cela a fonctionné, mais le blog est en anglais (comments, edit, date en Anglais).

    Pourtant j’ai bien installé la version française. Que faire?

  12. fred

    Help, en mettant a jour mon blog directement sur l’admin , il m’a dit error de copie de fichier et depuis tout est blanc sur je vais sur le site…

  13. William

    J’ai une question sur la MAJ automatique.
    La page de résultat ne s’affiche jamais. Du coup je vais voir sur mon site, qui me dit que je suis bien en 2.9. Mais ensuite dans le dashboard ça me dit que la maj a foiré. Que faire ? Qui croire ? Je suis chez OVH.

  14. seneque

    @TBHC, Vérifie dans wp-content/languages que tu as bien fr_FR.po et fr_FR.mo.
    A défaut, il faut les installer.

    cela étant, c’est peut-être ton thème graphique qui est en anglais ?

  15. TBHC

    Problème résolu: cela venait du thème. Je l’ai réinstallé, et le langage est corrigé. C’est quand même surprenant que cette mise à jour ait provoqué ce genre de problème.

  16. JibéCC

    Je suis en passe de faire la maj de 2.8.6 vers 2.9. et je me pose la question suivante.
    Dans le readme.html de la 2.9 on trouve ceci :
    « Effacez vos anciens fichiers WordPress, sauf le dossier /wp-content/. »
    Ne faut-il pas aussi exclure de l’effacement le fichier wp-config.php ?
    Le nouveau serait-il différent en cas de nouvelle installation ?

  17. Lyricis

    @JibéCC : Exact il ne faut jamais supprimé le fichier wp-config.php qui est le plus important sur ton blog c’est lui qui contient les informations importantes pour ce connecter a la base, si tu le supprime tu devras en faire un autre en remettant tes ID de connexion MySql.

    Le fichier ne change jamais d’une version à l’autre, il n’est donc pas utile de le virer, ça évite de le créer a nouveau

  18. TBHC

    Problème de localisation. APrès mes problèmes de mise à jour en raison de la non prose en compte du français sur monthème, ils semble que le plug in CodeStyling Localization ne fonctionne plus. Peut-être est ce la raison du problème. Y a t il un autre plug in de localisaion qui permette de modifier les traductions et soit compatible avec 2.9?

  19. Pierre Lenort

    Mise à jour automatique effectuée sans aucun problème… Merci pour les efforts consentis par votre équipe de développeurs. Sachez que votre travail dévoué est apprécié par beaucoup… même si tout le monde ne pense pas à vous remercier.

  20. info2tv

    Bonjour,

    J’ai effectué la MAJ automatique. Tout semble bien fonctionner.
    J’ai toutefois une question : certains caractères accentués sont remplacés par des caractères spéciaux…
    Ce problème ne touchent pas les articles, simplement dans le back office « publié » devient « Publié » ou encore « Audiences : TF1 laminée par France 2  » devient « Audiences : TF1 laminée par France 2 »
    A part ça, tout va bien. C’est génial.
    #+

  21. LaurentK

    Bonjour !

    Je viens de faire la MàJ 2.9. Alors que jusque-là les mises à jour n’ont jamais posé aucun problème, je me retrouve avec une page blanche pour la page « wp-admin/ ». J’aurais voulu désactiver des extensions pour voir mais… page blanche pour la page « wp-admin/plugins.php »
    Par contre j’accède bien à certaines pages comme :
    « wp-admin/options-general.php »
    « wp-admin/users.php »
    « index.php?page=akismet-stats-display »

    Enfin, rien qui me permette de créer ou mettre à jour mes textes…

    Que puis-je faire ?

    En vous remerciant.

    Cordialement,

    Laurent

  22. Gotcha

    Bonjour,
    Je rencontre aussi un soucis de langue au niveau des plugins. Ces derniers, suite à la mise à jour manuelle ne s’affichent plus qu’en langue Anglaise 🙁
    Si vous avez une piste, je suis preneur. Merci.

  23. LaurentK

    Encore moi !

    Alors, j’ai renommé au fur et à mesure par FTP mes plugins (histoire de les désactiver au cas par cas) il semble que ce soit le « pugin post-plugin-library » qui mette le désordre.

    Le problème : ce plugin qui ne fait rien directement entre dans le fonctionnement d’autres plugins : Similar Posts, Recent Posts, Random Posts, Popular Posts, et Recent Comments.

    Je l’ai retéléchargé (la mention WP 2.9 figurait sur la page du plugin) mais rien ne s’est passé. Toujours page blanche.

  24. Lorand

    Pour ma part, j’ai fait la mise à jour hier et je ne suis pas satisfait du tout 🙁

    Les sauts de lignes ne fonctionnent plus, et maintenant lorsque je fais ou édite un billet tout est écrasé ! 🙁

  25. Yin-Yin

    Moi aussi depuis la mise à jour vers WP 2.9 certaines de mes extensions et tous les thèmes installés sur mon blog ne sont plus en français…

    Même probleme avec Codestyling Localization qui n’a plus accès aux thèmes mais toujours aux plugins…

    A priori aucune trace concernant un changement dans une API de WordPress pour les themes…

    Je continue de chercher…

    @ p’luche…

  26. Lorand

    Même en désactivant les plugins le résultat est le même, plus de sauts de ligne dans les billets que je rédige ou que j’édite. Pfff c’est pas croyable :s

  27. Luca

    Pour tous ceux qui ont eu la page blanche après leur mise-à-jour automatique « ratée », refaites-là manuellement avec le ftp :
    Mise à jour

    Avant tout, soyez sûr de sauvegarder tous les fichiers que vous avez modifiés, par exemple index.php.
    Mise à jour depuis toutes les versions inférieures à WordPress 2.9 :

    1. Effacez vos anciens fichiers WordPress, sauf le dossier /wp-content/.
    2. Envoyez les nouveaux fichiers.
    3. Allez sur la page /wp-admin/upgrade.php avec votre navigateur internet.
    4. Vous vous attendiez à plus dur ? C’est tout !

    Pour moi ça a bien marché.
    Mais j’avais la sauvegarde complète de ma racine avec certains fichiers images ou google/yahoo sitemap

  28. radiCarl

    Je n’arrive pas à faire la mise-à-jour automatiquement. Je me demande bien pourquoi ??? Voici donc le message que WordPress m’affiche dans ma console d’administration

    Fatal error: Allowed memory size of 33554432 bytes exhausted (tried to allocate 2783748 bytes) in /home/radicar/public_html/wp-includes/http.php on line 1324

  29. Maître Mô

    Bonjour à tous !

    Je voulais plussoyer Yin-Yin : même souci, plusieurs plugins ne sont plus traduits (même quand ils n’ont pas été mis à jour parallèlement à la 2.9), notamment par exemple Subscribe2, une paille…

    J’ai averti l’auteur, on cherche, mais lui avait sorti une nouvelle version concomitamment à la 2.9, donc ça peut être ça je suppose.

    Plus gênant, c’est le cas aussi pour des plugins Lesterchan, qui eux n’ont pas été modifiés.

    J’en déduis que la façon de reconnaître ou d’utiliser les fichiers .po et .mo a changé sous wp 2.9 : savez-vous (Xavier, si tu ne dors toujours pas ?) ce qui a été modifié exactement, qu’on puisse en tenir compte dans les plugins concernés ?

  30. Xavier auteur de l’article

    Yin-Yin et Maître Mô : je ne suis qu’un humble traducteur, je ne maîtrise pas la fonctionnement interne de la traduction.

    Je me renseigne de ce pas, mais il serait intéressant de savoir si ces thèmes/extensions sont traduits « en dur » (à savoir, les fichiers sont directement modifiés), ou s’ils utilisent les chaînes traduites de WP, ou même s’ils ont leur propre système po/mo.

    Contactez-nous sur traduction()wordpress-fr.net, ou sur le forum dédié.

  31. Maître Mô

    Merci, Xavier, je savais bien que tu ne dors jamais !

    Pour ceux que j’ai identifié jusqu’à présent, savoir Subscribe2 et Useronline, on a les fichiers .mo et .po dans les fichiers du plugin, et ils fonctionnent avec les chaînes contenues dans le plugin.

    Pour Subscribe2, comme LdL me l’a indiqué sur le forum (http://www.wordpress-fr.net/support/viewtopic.php?id=32680), ainsi que son auteur lui-même par ailleurs, l’appel à la version française se fait par :

    load_plugin_textdomain(‘subscribe2’, ‘wp-content/plugins/’ . S2DIR, S2DIR);

    Voili voilou, je me demande si ça n’a pas un lien avec le souci rencontré ici, cette fois pour un thème : http://www.wordpress-fr.net/support/viewtopic.php?id=32627

    Ultime indication, je ne sais pas si ça aide : le plugin de traduction Codestyling localization ne se comporte pas bien non plus depuis la màj, et on y trouve en prlogue une rafalle d’erreurs, une exactement par template contenu dans les thèmes (fonctionne encore en revanche pour les widgets), toutes de ce modèle :

    Warning: file_get_contents(/xxx/www/wp-content/xxx//themes/unnamo/js/livesearch.js.php) [function.file-get-contents]: failed to open stream: No such file or directory in /xxx/www/wp-content/plugins/codestyling-localization/codestyling-localization.php on line 489

    Hum, je ne sais pas si ça aide…

  32. Lorand

    Bonjour,

    Personne d’autre n’a ce problème de disparition de sauts de ligne svp ?
    Je m’inquiète un peu et aimerais savoir si ce n’est que sur mon blog que cela fait ça, et avant de remettre l’ancienne version 2.8.6

    Merci 😉

  33. Lorand

    @info2tv : regarde dans Réglages / Ecriture si tu es toujours en UTF8 pour l’encodage des pages.

    @Xavier : merci 🙂

    Je précise que j’ai fait une MAJ manuelle via FTP (suppression des anciens dossiers et fichiers sauf wp-content/thèmes et wp-content/uploads). Il est conseillé de faire comme ça pour une mise à jour majeure et comme l’indique Xavier plus haut.

  34. Phoenix

    J’obtiens l’erreur suivante lorsque je tente de faire la mise à jour :

    Téléchargement de la mise à jour depuis http://fr.wordpress.org/wordpress-2.9-fr_FR.zip.

    Le téléchargement a échoué.: Operation timed out after 60000 milliseconds with 68432 out of 2783443 bytes received

    Échec de l’installation

    Les mises à jours automatiques des plug-ins et de WordPress ont très bien marché jusqu’à maintenant.

  35. MarketingJob

    Dans mon cas je n’arrive pas à passé en ver.2,9 … je ne comprend pas d’ailleurs le message d’erreur.
    Mais vu ce que j’ai lu le nombre de mécontent je ne vais même pas cherchez à résoudre ce problème 😉
    Vivement la version 3,0 en espérant que celles-ci résoudra celle là !

  36. Bruno Devauchelle

    Erreur à la maj automatique :

    Fatal error: Allowed memory size of 33554432 bytes exhausted (tried to allocate 2783444 bytes) in /htdocs/public/www/blog/wp-includes/http.php on line 1327

    qu’est-ce que cela signifie ?

    Bruno Devauchelle

  37. Jules

    MAJ auto : comment spécifier un répertoire en particulier dans l’hôte ?
    J’utilise un serveur dédié qui héberge 8 sites dont 6 sont en wordpress.
    J’ai un accès FTP à la racine du serveur mais les éléments demandé pour la MAJ auto ne proposent pas de renseigner le chemin du répertoire dans l’hôte…
    J’ai essayé :
    ftp_hôte/rep_blog1/ + id + PWD
    Sans succès…
    Fais chier ! Tous les clients FTP permettent de renseigner un champ répertoire ! De Dreamweaver à filezila…
    Quelqu’un a une idée ?
    Sinon je vais devoir créer un FTP par blog ou faire les MAJ manuelles, l’enfer…

  38. Lorand

    @Bruno, regarde la réponse de seneque plus haut.

    Tu peux tenter de modifier la limite (si ton hébergement le permet) en essayant ceci :

    1°) Dans le fichier wp-settings.php, modifier la valeur fixé par défaut à 32Mo et la remplacer par 64 Mo :

    if ( !defined(‘WP_MEMORY_LIMIT’) )
    define(‘WP_MEMORY_LIMIT’, ‘32M’);

    2°) Et dans wp-config.php, insérer la directive suivante :

    define(‘WP_MEMORY_LIMIT’, ’64M’);

    Ca peut aider 🙂

  39. Maître Mô

    Pour revenir au souci des traductions, je constate en fait que pratiquement TOUS mes plugins traduits sont à présent en anglais, bien que leurs fichiers français soient bien présents…

    C’est, avouons-le, un gros souci, je ne peux quand-même pas, quand-bien même je trouverais le truc, modifier tous les plugins un par un…

  40. MarketingJob

    Dans tous les cas malgrès les différentes réponses de certains, dans mon cas le problème n’est pas résolut…

    « Fatal error: Out of memory (allocated 30146560) (tried to allocate 2783444 bytes) in /homepages/9/d300323993/htdocs/wp-includes/http.php on line 1331

  41. Info2tv

    Bonsoir,
    Je n’ai reçu aucune réponse à ma question posée dans un précédent commentaire.
    Pour rappel, MAJ ok.
    J’ai simplement un petit problème avec les lettres accentuées dans le back office.
    Quelqu’un sera-t-il me dire comment le résoudre?
    Merci à tous

  42. Info2tv

    @ Lorand
    Je suis bien en UFT8… Le problème des lettres accentuées remplacées par série de caractères n’existe que dans le backoffice.
    Je ne sais pas quoi faire pour y remédier.

  43. Lionel

    Tout d’abord, merci à toute l’équipe pour la nouvelle version de WordPress ; la mise à jour s’est déroulée sans souci majeur, pas tout à fait automatiquement, mais presque 😉 (droits à corriger « à la main » sur certains répertoires).

    Bon et maintenant, passons aux petits soucis qui restent à régler… 😉

    @ Maître Mô :

    Même problème ici pour les extensions non traduites et en particulier CodeStyling Localization.

    Dans tous les messages d’erreur de CSL, je remarque qu’il y a deux slashes dans le chemin pour le fichier indiqué manquant :

    Warning: file_get_contents(/xxx/www/wp-content/xxxici ->//themes/unnamo/js/livesearch.js.php) [function.file-get-contents]: failed to open stream: No such file or directory in /xxx/www/wp-content/plugins/codestyling-localization/codestyling-localization.php on line 489

    Cela peut-il être la cause de l’erreur?

  44. Maître Mô

    Bon, après une nuit fort instructive, problème des traductions résolu chez moi, comme je l’explique sur le forum ici : http://www.wordpress-fr.net/support/viewtopic.php?pid=174085#p174085

    En fait, il suffit de télécharger via ftp les fichiers .mo et .po concernés, d’ouvrir le fichier .po avec Poedit, et, modifs à faire au passage ou pas, de l’enregistrer ensuite, puis de le recharger sur le serveur, et ça marche…

    J’ignore totalement pourquoi : soit mes trads venaient de Codestyling et c’est ça qui faisait foirer, soit wp 2.9 a en quelque sorte besoin qu’on lui « redéclare » ces fichiers, je n’en sais rien…

    En tout cas tout baigne à présent.

    Pour ceux qui auraient la flemme ou volonté de faire plus rapide encore, tous mes téléchargements des traductions que j’ai effectuées sont à jour, c’est sur ma page dédiée : http://maitremo.fr/mo-teur/telechargements/ J’ai vérifié, en principe elles fonctionnent toutes en 2.9…

  45. Olivier

    Je suis chez OVH.
    Après avoir voulu faire une MAJ automatique vers WP 2.9.j’ai eu un message m’indiquant qu cette MAJ avait échoué.
    Maintenant je ne peux plus me connecter à l’administration directement à partir de mon blog en cliquant sur « connexion » dans la sidebar car j’ai le message suivant : Fatal error: Call to undefined function: get_file_data() in /homez.167/arpra/www/wp-admin/includes/plugin.php on line 81.
    A noter qu’avant cette échec de MAJ j’avais « connexion » dans la sidebar et que maintenant j’ai « Admin.du site » et, en-dessous « Déconnexion » !!!!
    Que s’est-il passé? Que corriger ?

  46. chadowx

    Bonjour à tous,
    bah oui, j’ai fait le couillon, j’ai vu la maj 2.9 et j’ai cliqué sur automatique.
    Du coup je me retrouve avec « Fatal error: Cannot instantiate non-existent class: noop_translations in /homez.42/chadowx/www/wp-includes/l10n.php on line 437 »
    Je suis chez OVH.
    Que puis-je faire ?

    Merci d’avance

  47. Alex

    Youpi! belles nouveautés…

    « L’inscription et les profiles sont maintenant extensibles, ce qui vous permet de récupérer leurs informations plus facilement »

    Séduisant, mais je n’ai pas trouvé comment ?….

  48. BertrandB

    Maj réussis chez 1and1 avec pdo_sqlite
    En fait la première tentative m’a laissé en plan sur la mise à jour de la base de donnée et le blog en carafe.
    Après effacement du fichier .maintenance par ftp le site semblait fonctionner correctement.
    Retour en admin menu outil mettre à jour et à la deuxième tentative RAS.

  49. RHUZ68

    J’ai fais une mise à jour…est mon blog à beuger. Aujourd’hui il n’y a plus rien et je ne sais comment faire…? Je n’arrive plus à me connecter..Il y a un message d’erreur.
    Si quelqu’un peut me conseiller. Merci à tous.

  50. gbert1

    La mise à jour auto s’est déroulée mais après j’ai eu :

    Fatal error: Call to undefined function: is_admin() in /homez.xxx/xxx/www/xxx/wp-includes/vars.php on line 16

  51. gbert1

    La suite de l’histoire : j’ai téléchargé le ZIP, effacer wp_admin e wp_include, les ai uploader ainsi que les fichiers de la racine.
    Grosse frayeur mais tout est rentré dans l’ordre.

  52. Lionel

    @ Arnaud Lemercier

    c’est l’accès aux fichiers de traduction pour certains thèmes et certaines extension qui est en erreur depuis WP 2.9.

    Chez moi, il s’agit, notamment, des extensions CodeStyling Localization et YARPP,

    alors que My Page Order, My Category Order, My Link Order et Broken Link Checker, par exemple, s’affichent comme avant en FR.

  53. Erge

    Mise à jour de la base de données requise.
    Lors de l’appel de la page admin, voici ce que j’ai :

    WordPress a été mis à jour ! Avant de vous laisser continuer, nous devons mettre à jour la base de données.

    Le processus de mise à jour peut prendre un certain temps, merci donc pour votre patience.

    Mettre à jour la base de données de WordPress

    Une fois cliqué sur Mettre à jour de la base… page blanche avec terminé en dessous de page.

    Combien de temps faut-il pour effectuer cette mise à jour, et que faire pour remédier à cette situation. Merci

  54. RHUZ68

    Je suis comme CHADOWX, j’ai également fait le malin, j’ai vu la maj 2,9 et j’ai cliqué sur automatique et je me suis retrouvé avec un message d’erreur :

    Fatal error: Cannot redeclare get_category_children() (previously declared in /homez.131/lessapeut/www/wp-includes/category-template.php:20) in /homez.131/lessapeut/www/wp-includes/deprecated.php on line 1332

    Je n’arrive plus à me connecté..! Quelqu’un peux m’expliqué le processus pour revenir comme avant. Je suis également chez OVH. Un grand Merci.

  55. Lorand

    @RHUZ68 Remets tes anciens fichiers sauf wp-content/thèmes et wp-content/uploads

    @Erge en principe c’est immédiat et ça ne dure pas plus de 5 secondes

  56. gbert1

    @RHUZ68 : Mon pb ressemblait au tien : qd j’ai eu mon erreur j’ai alors installé la 2.9 par FTP. As-tu bien auparavant sauvegardé ta base de données et tes fichiers wp-content/uploads ?

  57. Erge

    @Lorand : merci pour ces précisions, mais la page est devenue blanche après effectivement quelques secondes, mais plus moyen d’accéder à l’admin. J’ai retenté le coupe avec le même résultat.

  58. Lorand

    @Erge : remets tes anciens fichiers par le FTP. Lorsque tu reviendras sur ton lien admin tu auras un message pour remettre la base de données à jour c’est à dire comme avant le passage en version 2.9

    N’écrase surtout pas le uploads ni ton thème surtout

  59. Lorand

    @Erge, j’essaye de régler le problème de RHUZ68 qui est important aussi car plus de blog.
    Envoie moi ton adresse e-mail via le formulaire de contact de mon blog ou en message privé sur le forum WordPress FR (mon pseudo est Lorand).

  60. Xavier auteur de l’article

    Maitre Mô, je découvre à l’instant votre commentaire. Bel effort, mais je ne comprends pas : qu’avez vous changé dans les fichiers PO ? Avez rechargé le POT de chaque plugin ?

  61. Lionel

    @ BertrandB @ Arnaud Lemercier

    la solution de Maître Mô est fonctionnelle.

    – Aller par FTP (FileZillaCyberduck) dans le répertoire de l’extension dont la traduction n’est plus prise en compte.
    – Transférez sur votre ordinateur le fichier .po correspondant à votre langue.
    – Ouvrir le fichier .po avec PoEdit (disponible ici).
    – Enregistrer (éventuellement après l’avoir modifié, corrigé, amélioré) le fichier .po; le fichier .mo correspondant sera créé automatiquement.
    – Dans le répertoire de l’extension sur le serveur FTP, supprimez les fichiers .po et .mo correspondant à votre langue, et remplacez-les par les fichiers nouvellement enregistrés sur votre ordinateur.
    – ???
    – Profit!

  62. Lionel

    NB: la solution ci-dessus ne règle pas le problème des messages d’erreur de CodeStyling Localization concernant les thèmes.

  63. chadowx

    Bonsoir tous,
    voici comment je m’en suis sorti (à moitié) :
    J’ai recopier le zip de WP 2.9 (sauf content) et j’ai lancé l’upgrade.php. Il a fait un maj de la BDD et j’ai retrouvé l’accès à mon blog.
    Ensuite, j’ai voulu faire quelques modif sur mon thème et il a explosé. J’utilise Freshy2 de Jidé et le plugin customize ne fonctionne plus il ma remis les réglage du thème par défaut et impossible de changer le bandeau ou les couleurs alors que mes css perso sont présentes… Bref c’est galère.
    Un bon noël à tous

  64. Gilles

    Bonjour
    Un grand bravo aux équipes WordPress anglaises et françaises qui nous livre comme d’habitude un outil magnifique que j’utilise depuis plusieurs années maintenant et qui ne va qu’en s’améliorant.

    La mise à jour automatique s’est effectuée sans aucun soucis chez OVH.

    Longue vie à WordPress et vivement la 3.0, j’ai des communautés à créer dans les starting blocks.

  65. Anabel

    Cela à déjà été dit mais c’est important. Avant de mettre à jour vers 2.9, vérifier bien que vous êtes sous sql5. Certaines versions antérieures en sql4.x.x rendront la màj impossible. A voir donc avec votre hébergement.

  66. Bruno Devauchelle

    @Lorand Merci pour ce message sur le passage à 64Mo. La MAj a fonctionné correctement. après avoir téléchargé et activé l’outil proposé par Sénèque, je m’aperçois qu’après la MAJ en 2.9, la taille mémoire est revenue à 32 Mo. Est-il nécessaire de la remettre à 64 Mo et donc de remodifier les fichiers ?

  67. Lorand

    @Bruno : il est toujours mieux d’avoir de la marge. Donc si le plugin de Sénèque indique que tu as 64 Mo proposés par ton hébergeur alors autant les activer même si tu n’utilises que la moitié (c’est aussi mon cas). Ca pourra peut-être te servir pour une future mise à jour de plugin par exemple et t’éviter ainsi d’avoir le même message d’erreur 😉 Il n’y a pas grand chose à modifier, juste le wp-config.php

  68. ipk

    Bonjour

    Mise à jour automatique de la 2.8.3 Fr vers la 2.9Fr et puis reste sur la ligne ‘installation de la nouvelle version’…
    Je teste au bout de 10 minutes et maintenant plus rien sauf le message d’erreur :
    Fatal error: Call to undefined function is_admin() in /homez.42/iphoneki/www/wp-includes/vars.php on line 16

    Help !

    Merci d’avance

  69. ipk

    Pour faire suite et fin, j’ai appliqué la procédure classique et manuelle cad recopie des fichiers sauf les 2 htaccess & wp-config.php et le repertoire wp-content

    La version 2.9Fr fonctionne à présent

    Bonnes fetes

    IPK

  70. Franck

    Bonjour, après une mise à jour de la version 2.8 française en 2.9 française, dans le menu éditeur de n’importe quel thème installé, j’ai comme réponse:
    Oops, ce fichier n’existe pas ! Vérifiez son nom et réessayez, merci.
    pour tous les fichiers y compris css.
    Le site fonctionne normalement.
    Une idée ?

  71. heisch

    bonjour c est la panique je n arrive pas à entrer de photos dans mon site
    pouvez vous me contacter au 0033450323152????
    au secours aidez moi c est urgent je dois pouvoir utiliser mon site web
    merci
    caroline

    0033634700019

  72. Franck

    APrès avoir mis à jour en 2.9 sur un site test, beaucoup trop de problèmes sont apparus.
    J’ai télécharger le 2.9.RC1 et remplacer sur le site après avoir sauvegarder mon fichier wp-config, remis en place ensuite.
    Merveille tout fonctionne.
    Sauf les thèmes avec adsense où la pub google se chevauche avec le contenu suivant.

  73. TBHC

    Notez qu’une nouvelle version de CodeStyling Localization vient d’être mis en ligne. Elle corrige le bug qui l’empèchait d’accéder au thèmes, malheureusement, il reste impossible les modification des traductions ne fonctionnent pas. Après modification, le thème revient en Anglais.

  74. Manu

    La mise à jour automatique s’est « bien » déroulée mais impossible d’éditer un quelconque thème! Je reçois l’erreur « Sorry, that file cannot be edited. » alors que les permissions sont ok (644). Quelqu’un voudrait-il m’aider, svp? Merci.

  75. Xavier auteur de l’article

    @Heisch : il faut vous inscrire sur le forum pour ce type de question.
    Et évitez de distribuer votre numéro de téléphone partout sur Internet 🙂

  76. TBHC

    Encore une mise à jour de CodeStyling Localization qui semble corriger tous les problèmes, associées à 2.9.1

    EN tous cas, mes problèmes de traduction sont maintenant réglés!

  77. Click-Droit

    Bonjour à la Communauté WP 🙂 et merci aux développeurs de nous offrir un tel outil. Il est simplement génial, convivial, pratique, et … et … 🙂
    Nouvel adepte WP (anciennement Guppy) et je ne regrette pas !
    Meilleurs messages

  78. Philippe

    Bonjour,
    j’ai tenté la mise à jour automatique et je n’avais plus acces à rien (site pas visible et pas d’acces wordpress.
    en chipotant un peu… le site est visible mais tjs pas d’acces à wp-admin 🙁 j’ai ceci :
    Warning: Cannot modify header information – headers already sent by (output started at /homez.116/epiasbl/www/wp-config.php:30) in /homez.116/epiasbl/www/wp-includes/pluggable.php on line 770

    help please 🙂
    d’avance merci

  79. frédérique

    Bonjour à tous,
    Moi je cherche à mettre à jour ma version wordpress 2.2 en une version plus récente 2.7 au minimum, pourquoi pas la version 2.9
    Quelqu’un peut il m’aider.
    Merci d’avance

  80. Marketingjob

    Bonjour Frédérique,

    En réponse à votre demande il est très simple d’installer la version 2.9 de WordPress cela deviens de plus en plus simple d’ailleurs suivant les versions 😉

    Il vous suffit de vous rendre ici: « http://fr.wordpress.org/ » puis de téléchargez la version et ensuite de l’uploder sur votre hébergeur au moyen de votre logiciel FTP ou assistant si vous êtes chez 1&1, puis de vous rendre dans votre admin à mise à jour et cliquez sur ajouter et attendre quelques sec et voilà le tour et jouer !
    En espérant vous avoir était utile.

  81. frédérique

    Merci pour ces renseignements. Oui en effet c’est très facile mais je ne comprends pas où se trouve l’onglet « ajouter » dans la mise à jour de mon admin : est ce que je suis sur une mauvaise page? Je suis sur la page utilisateur…

  82. jerem5977

    Bonjour, moi j’ai un problème avec l’editeur WYSIWYG ( TinyMCE ) j’ai une erreur javascript et je n’ai pas les barre de mis een forme dans la page post-new.php (ajout d’un nouvel article dans l’admin).
    l’erreur javascript est « 1483 indicateur chaine ou nombre attendu »
    J’ai trouvé ca c’est exactement mes symptomes mais j’ai pas la soluc please 😉 http://blogs.digitss.com/wordpress/wordpress-2-8-auto-upgrade-and-problem-with-wysiwyg-editor/

Les commentaires sont fermés